import { Component, EventEmitter, Input, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-structure-consent',
  templateUrl: './structure-consent.component.html',
  styleUrls: ['./structure-consent.component.scss'],
})
export class StructureConsentComponent {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() radioChange = new EventEmitter<any>();
  @Output() onAcceptDataBeSaved = new EventEmitter<any>();
  @Output() onAcceptOpenData = new EventEmitter<any>();

  public acceptDataBeSaved(event: boolean): void {
    this.onAcceptDataBeSaved.emit(event);
  }

  public acceptOpenData(event: boolean): void {
    this.onAcceptOpenData.emit(event);
  }

  public onRadioChange(value: boolean): void {
    this.onAcceptOpenData.emit(value);
  }
  public goBack(): void {
    history.back();
  }
}
