import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-structure-wifi',
  templateUrl: './structure-wifi.component.html',
})
export class StructureWifiComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() validateForm = new EventEmitter<any>();
  @Output() checkChange = new EventEmitter<any>();

  ngOnInit(): void {
    if (this.isEditMode) this.validateForm.emit();
  }
  public isInArray(formControlName: string, term: string): boolean {
    if (this.structureForm.controls[formControlName].value) {
      return this.structureForm.controls[formControlName].value.includes(term);
    }
    return false;
  }
  public onCheckChange(event, catId: string, modId: string): void {
    this.checkChange.emit({ event, formControlName: catId, value: modId });
  }
  public goBack(): void {
    history.back();
  }
}
